Bug 162348 - EQ blocked clicking problem notification
EQ blocked clicking problem notification
Status: RESOLVED FIXED
Product: connecteddeveloper
Classification: Unclassified
Component: Hudson
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Jesse Glick
issues@connecteddeveloper
: PERFORMANCE, THREAD
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-09 22:05 UTC by Jesse Glick
Modified: 2009-04-14 19:14 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse Glick 2009-04-09 22:05:25 UTC
090409.

"AWT-EventQueue-1" prio=10 tid=0xb53bc400 nid=0x120f runnable [0xb375d000..0xb375de30]
   java.lang.Thread.State: RUNNABLE
	at java.net.SocketInputStream.socketRead0(Native Method)
	at java.net.SocketInputStream.read(SocketInputStream.java:129)
	at java.io.BufferedInputStream.fill(BufferedInputStream.java:218)
	at java.io.BufferedInputStream.read1(BufferedInputStream.java:258)
	at java.io.BufferedInputStream.read(BufferedInputStream.java:317)
	- locked <0x68244938> (a java.io.BufferedInputStream)
	at sun.net.www.http.HttpClient.parseHTTPHeader(HttpClient.java:687)
	at sun.net.www.http.HttpClient.parseHTTP(HttpClient.java:632)
	at sun.net.www.protocol.http.HttpURLConnection.getInputStream(HttpURLConnection.java:1049)
	- locked <0x6822a690> (a sun.net.www.protocol.http.HttpURLConnection)
	at java.net.HttpURLConnection.getResponseCode(HttpURLConnection.java:373)
	at org.netbeans.modules.hudson.api.ConnectionBuilder.connection(ConnectionBuilder.java:246)
	at org.netbeans.modules.hudson.api.ConnectionBuilder.httpConnection(ConnectionBuilder.java:289)
	at org.netbeans.modules.hudson.impl.HudsonConnector.getDocument(HudsonConnector.java:356)
	at org.netbeans.modules.hudson.impl.HudsonConnector.getBuilds(HudsonConnector.java:149)
	at org.netbeans.modules.hudson.impl.HudsonJobImpl.getBuilds(HudsonJobImpl.java:272)
	- locked <0x6fd49490> (a org.netbeans.modules.hudson.impl.HudsonJobImpl)
	at org.netbeans.modules.hudson.ui.notification.ProblemNotification.actionPerformed(ProblemNotification.java:87)
Comment 1 Jesse Glick 2009-04-13 22:30:56 UTC
cdev #0eab96428341
Comment 2 Quality Engineering 2009-04-14 19:14:07 UTC
Integrated into 'main-golden', will be available in build *200904141401* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/0eab96428341
User: Jesse Glick <jglick@netbeans.org>
Log: #162348: do not block EQ loading builds when a problem notification is clicked.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo